Bug 246785 - mkinitrd doesn't work with "Enforcing"
Summary: mkinitrd doesn't work with "Enforcing"
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: i386 Linux
low
high
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-07-04 19:51 UTC by Horst H. von Brand
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-10 14:39:10 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Output of "grep ldconfig /var/log/audit/audit.log" (32.46 KB, application/octet-stream)
2007-07-04 20:05 UTC, Horst H. von Brand
no flags Details

Description Horst H. von Brand 2007-07-04 19:51:59 UTC
Description of problem:
mkinitrd fails (ldconfig exits with 1) when Enforcing

Version-Release number of selected component (if applicable):
selinux-policy-3.0.2-1.fc8

How reproducible:
Always

Steps to Reproduce:
1. Build kernel
2. "make modules_install install"
3.
  
Actual results:
mkinitrd failure

Expected results:
New initrd

Additional info:

Comment 1 Dave Jones 2007-07-04 19:56:41 UTC
can you look for AVCs in /var/log/audit.log ?


Comment 2 Horst H. von Brand 2007-07-04 20:05:55 UTC
Created attachment 158548 [details]
Output of "grep ldconfig /var/log/audit/audit.log"

Comment 3 Daniel Walsh 2007-09-10 14:39:10 UTC
Fixed in rawhide.


Note You need to log in before you can comment on or make changes to this bug.